!> @file local_getenv.f90
!--------------------------------------------------------------------------------!
! This file is part of PALM.
!
! PALM is free software: you can redistribute it and/or modify it under the terms
! of the GNU General Public License as published by the Free Software Foundation,
! either version 3 of the License, or (at your option) any later version.
!
! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with
! PALM. If not, see <http://www.gnu.org/licenses/>.
!
! Copyright 1997-2014 Leibniz Universitaet Hannover
!--------------------------------------------------------------------------------!
!
! Current revisions:
! -----------------
! 
! 
! Former revisions:
! -----------------
! $Id: local_getenv.f90 1683 2015-10-07 23:57:51Z knoop $
!
! 1682 2015-10-07 23:56:08Z knoop
! Code annotations made doxygen readable
! 1320 2014-03-20 08:40:49Z raasch $
! ONLY-attribute added to USE-statements,
! kind-parameters added to all INTEGER and REAL declaration statements,
! kinds are defined in new module kinds,
! revision history before 2012 removed,
! comment fields (!:) to be used for variable explanations added to
! all variable declaration statements 
!
! 1036 2012-10-22 13:43:42Z raasch
! code put under GPL (PALM 3.9)
!
! Revision 1.1  1997/08/11 06:21:01  raasch
! Initial revision
!
!
! Description:
! ------------
!> Getting the values of environment-variabls (for different operating-systems)
!------------------------------------------------------------------------------!
 SUBROUTINE local_getenv( var, ivar, value, ivalue )
 

    USE kinds
        
#if defined( __lcmuk )
    USE pegrid
#endif
    CHARACTER (LEN=*) ::  value  !<
    CHARACTER (LEN=*) ::  var    !<
    
    INTEGER(iwp)      ::  ivalue !<
    INTEGER(iwp)      ::  ivar   !<
#if defined( __lcmuk )
    INTEGER(iwp)      ::  i      !<
    INTEGER(iwp)      ::  ia(20) !<
#endif

    CALL GETENV( var(1:ivar), value )
    ivalue = LEN_TRIM( value )

#if defined( __lcmuk )  &&  defined( __parallel )
    ia = IACHAR( ' ' )
    IF ( myid == 0 )  THEN
       DO  i = 1, ivalue
          ia(i) = IACHAR( value(i:i) )
       ENDDO
    ENDIF
    CALL MPI_BCAST( ia(1), 20, MPI_INTEGER, 0, comm2d, ierr )
    DO  i = 1, 20
       IF ( ACHAR( ia(i) ) /= ' ' )  value(i:i) = ACHAR( ia(i) )
    ENDDO
    ivalue = LEN_TRIM( value )
#endif
 END SUBROUTINE local_getenv    
